# Generated by Django 3.2.2 on 2021-05-15 07:29

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('band_api', '0002_initial'),
        ('music_api', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='playlist',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='playlists', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='music',
            name='band',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='musics', to='band_api.band'),
        ),
        migrations.AddField(
            model_name='music',
            name='category',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='music_category', to='music_api.musiccategory'),
        ),
        migrations.AddField(
            model_name='music',
            name='liked_users',
            field=models.ManyToManyField(related_name='liked_musics', through='music_api.Like', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='like',
            name='music',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='music_api.music'),
        ),
        migrations.AddField(
            model_name='like',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='commentonmusic',
            name='music',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='music_api.music'),
        ),
        migrations.AddField(
            model_name='commentonmusic',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments_on_music', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='basemusicfolder',
            name='musics',
            field=models.ManyToManyField(related_name='base_music_folder', to='music_api.Music'),
        ),
        migrations.AddField(
            model_name='basemusicfolder',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='base_music_folder', to=settings.AUTH_USER_MODEL),
        ),
    ]
